﻿$ErrorActionPreference = 'Stop'

$msiLogPath = ("{0}\{1}.{2}.MsiInstall.log" -f $env:TEMP, $env:chocolateyPackageName, $env:chocolateyPackageVersion)

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  fileType      = 'MSI'
  url           = 'https://e3.boxcdn.net/box-installers/desktop/releases/win32/Box-x86.msi'
  checksum      = 'abd49b803426af6a99d1ba9f2142ded4031eee6049581ffe39833e464db94bb3'
  checksumType  = 'SHA256'

  url64         = 'https://e3.boxcdn.net/box-installers/desktop/releases/win/Box-x64.msi'
  checksum64    = '74A4A850AD70A37D7A5FACC9480DA0709D179A9E0A8E6A2D6ADEC556934CBC07'
  checksumType64= 'SHA256'

  softwareName  = 'box*'

  silentArgs    = "/quiet /norestart /l*v `"$msiLogPath`""
  validExitCodes= @(0)
}

# Check OS
if ([version](Get-WmiObject -Class Win32_OperatingSystem).version -lt [version]"10.0") {
  Write-Error "Box Drive ONLY supports Windows 10 (or later) or Windows Server 2016 (or later). Please use the Box Sync package (https://chocolatey.org/packages/boxsync) if you need support for earlier operating systems."
}

Install-ChocolateyPackage @packageArgs
Write-Verbose "Box Drive install log file is available at '$msiLogPath'"
